ChangeSet 1.1276.1.37, 2003/08/27 11:30:20-07:00, bellucda@tiscali.it

[PATCH] Another bad audit in drivers/usb/*: usbskeleton

Another minor cleanup:
- if usb_register fails report back its return code rather than -1


 drivers/usb/usb-skeleton.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/usb-skeleton.c b/drivers/usb/usb-skeleton.c
--- a/drivers/usb/usb-skeleton.c	Tue Sep  2 12:44:20 2003
+++ b/drivers/usb/usb-skeleton.c	Tue Sep  2 12:44:20 2003
@@ -677,10 +677,10 @@
 
 	/* register this driver with the USB subsystem */
 	result = usb_register(&skel_driver);
-	if (result < 0) {
+	if (result) {
 		err("usb_register failed. Error number %d",
 		    result);
-		return -1;
+		return result;
 	}
 
 	info(DRIVER_DESC " " DRIVER_VERSION);
